# -*- coding: utf-8 -*-
#
# Copyright © 2009- The Spyder Development Team
# Licensed under the terms of the MIT License
#

"""
Default configuration options.
"""

# Local imports
from anaconda_navigator.config.base import SUBFOLDER
from anaconda_navigator.config.user import UserConfig


# -----------------------------------------------------------------------------
# --- Defaults
# -----------------------------------------------------------------------------
DEFAULTS = [
            ('main',
             {
              # --- General
              'name': 'Anaconda Navigator',
              'first_run': True,
              'hide_quit_dialog': False,
              # --- Package Manager
              'conda_channels': [],
              'conda_active_channels': [],
              # --- Preferences
              'anaconda_api_url': 'https://api.anaconda.org',
              'conda_url': 'https://conda.anaconda.org',
              'provide_analytics': True,
              'show_application_environments': True,
              }),
            ]


# -----------------------------------------------------------------------------
# --- Config instance
# -----------------------------------------------------------------------------
# IMPORTANT NOTES:
# 1. If you want to *change* the default value of a current option, you need to
#    do a MINOR update in config version, e.g. from 1.0.0 to 1.1.0
# 2. If you want to *remove* options that are no longer needed in our codebase,
#    or if you want to *rename* options, then you need to do a MAJOR update in
#    version, e.g. from 1.0.0 to 2.0.0
# 3. You don't need to touch this value if you're just adding a new option
CONF_VERSION = '1.0.0'
CONF = UserConfig('anaconda-navigator',
                  defaults=DEFAULTS,
                  version=CONF_VERSION,
                  subfolder=SUBFOLDER,
                  raw_mode=True,
                  )
