# -*- coding: utf-8 -*-
#
# Copyright 2016 Continuum Analytics, Inc.
# May be copied and distributed freely only as part of an Anaconda or
# Miniconda installation.
#

"""
Lerning Tab.
"""

# Standard library imports
from __future__ import absolute_import, division, print_function
import sys

# Third party imports
from qtpy.QtWidgets import QHBoxLayout, QVBoxLayout

# Local imports
from anaconda_navigator.api import AnacondaAPI
from anaconda_navigator.widgets import WidgetBase


class LearningTab(WidgetBase):
    def __init__(self, parent=None):
        super(LearningTab, self).__init__(parent)

        self.api = AnacondaAPI()
        self.setObjectName("Tab")

        # Layouts
        hlayout = QHBoxLayout()
        hlayout.addStretch()
        vlayout = QVBoxLayout()
        vlayout.addLayout(hlayout)
        vlayout.addStretch()
        self.setLayout(vlayout)


def test():
    from anaconda_navigator.utils.qthelpers import qapplication
    app = qapplication()
    w = LearningTab()
    w.showMaximized()
    sys.exit(app.exec_())


if __name__ == "__main__":
    test()
